CONFIG += console \
    debug_and_release \
    qt \
    resources \
    warn_on

# DESTDIR = bin
FORMS = ui/QtMapper.ui \
    ui/about.ui \
    ui/addcategory.ui \
    ui/browsepois.ui \
    ui/downloadedpois.ui \
    ui/downloadmaptiles.ui \
    ui/downloadpois.ui \
    ui/downloadroute.ui \
    ui/editcategory.ui \
    ui/editpoi.ui \
    ui/editrepository.ui \
    ui/help.ui \
    ui/importpois.ui \
    ui/poicategories.ui \
    ui/poilist.ui \
    ui/preferences.ui \
    ui/satellitedetails.ui \
    ui/searchlocation.ui
HEADERS = QtMapper.h \
    aboutdialog.h \
    addcategorydialog.h \
    addpoidialog.h \
    bar.h \
    browsepoisdialog.h \
    definitions.h \
    diagrams.h \
    downloadedpoisdialog.h \
    downloadpoisdialog.h \
    downloadroutedialog.h \
    editcategorydialog.h \
    editpoidialog.h \
    editrepositorydialog.h \
    gpsbase.h \
    gpsdata.h \
    gpssatellitedata.h \
    gpsserial.h \
    gpsserviceinterface.h \
    gpsstarter.h \
    gpxhandler.h \
    helpdialog.h \
    importpoisdialog.h \
    internalgpsn810.h \
    linepoint.h \
    location.h \
    mapdatabase.h \
    mapdownloader.h \
    maprepository.h \
    mapscene.h \
    maptile.h \
    maptilecache.h \
    maptiledownloaddialog.h \
    mapview.h \
    plot.h \
    poi.h \
    poicategoriesdialog.h \
    poicategory.h \
    poidatabase.h \
    poidownloader.h \
    poiinfo.h \
    poilistdialog.h \
    point.h \
    preferencesdialog.h \
    quickmenubar.h \
    quickmenubutton.h \
    routedata.h \
    satelliteDrawing.h \
    satellitedetailsdialog.h \
    searchlocationdialog.h \
    searchlocationdownloader.h \
    serialport.h \
    trackingdatareader.h \
    trackingdatawriter.h \
    trackpoint.h \
    unitconverter.h \
    waypoint.h \
    gpsemulator.h \
    googlemapsdownloader.h \
    searchview.h \
    routedownloader.h \
    searchlocationdata.h \
    speeddisplay.h \
    poidata.h \
    lonlatbox.h \
    networkactivityindicator.h \
    displaybox.h
MOC_DIR = build
OBJECTS_DIR = build
QT = core \
    gui \
    network \
    sql \
    xml \
    webkit
RESOURCES += QtMapper.qrc
SOURCES = QtMapper.cpp \
    aboutdialog.cpp \
    addcategorydialog.cpp \
    addpoidialog.cpp \
    bar.cpp \
    browsepoisdialog.cpp \
    diagrams.cpp \
    downloadedpoisdialog.cpp \
    downloadpoisdialog.cpp \
    downloadroutedialog.cpp \
    editcategorydialog.cpp \
    editpoidialog.cpp \
    editrepositorydialog.cpp \
    gpsbase.cpp \
    gpsdata.cpp \
    gpssatellitedata.cpp \
    gpsserial.cpp \
    gpsstarter.cpp \
    gpxhandler.cpp \
    helpdialog.cpp \
    importpoisdialog.cpp \
    internalgpsn810.cpp \
    location.cpp \
    main.cpp \
    mapdatabase.cpp \
    mapdownloader.cpp \
    maprepository.cpp \
    mapscene.cpp \
    maptile.cpp \
    maptilecache.cpp \
    maptiledownloaddialog.cpp \
    mapview.cpp \
    plot.cpp \
    poi.cpp \
    poicategoriesdialog.cpp \
    poicategory.cpp \
    poidatabase.cpp \
    poidownloader.cpp \
    poiinfo.cpp \
    poilistdialog.cpp \
    point.cpp \
    preferencesdialog.cpp \
    quickmenubar.cpp \
    quickmenubutton.cpp \
    routedata.cpp \
    satelliteDrawing.cpp \
    satellitedetailsdialog.cpp \
    searchlocationdialog.cpp \
    searchlocationdownloader.cpp \
    serialport.cpp \
    trackingdatareader.cpp \
    trackingdatawriter.cpp \
    trackpoint.cpp \
    unitconverter.cpp \
    waypoint.cpp \
    gpsemulator.cpp \
    googlemapsdownloader.cpp \
    searchview.cpp \
    routedownloader.cpp \
    searchlocationdata.cpp \
    poidata.cpp \
    speeddisplay.cpp \
    lonlatbox.cpp \
    networkactivityindicator.cpp \
    displaybox.cpp
TEMPLATE = app
TRANSLATIONS = languages/QtMapper_fi.ts
UI_DIR = build


# If the line below if uncommented, class InternalGpsN810 will print a
# downright ridiculous amount of information. Use with caution. */
#DEFINES N810_INTERNAL_GPS_TEST
#DEFINES += GPS_SERIAL_IN_USE
#DEFINES += GPS_EMULATOR_IN_USE
DEFINES += GPS_N810_IN_USE
#DEFINES += GPS_TEST
LIBS += -lgps -lgpsbt -lgpsmgr



DEPENDPATH += .
INCLUDEPATH += .

# INSTALLS += qtmapper
TARGET = qtmapper
unix { 
    # VARIABLES
    isEmpty(PREFIX):PREFIX = /usr/local
    BINDIR = $$PREFIX/bin
    DATADIR = $$PREFIX/share
    DEFINES += DATADIR=\\\"$$DATADIR\\\" \
        PKGDATADIR=\\\"$$PKGDATADIR\\\"
    
    # MAKE INSTALL
    INSTALLS += target \
        desktop \
        icon26
    desktop.path = $$DATADIR/applications/hildon
    desktop.files += qtmapper.desktop
    icon26.path = $$DATADIR/icons/hicolor/26x26/apps
    icon26.files += worldicon.png
    target.path = $$BINDIR
}
